Impossible d'utiliser les smbldap-tools en prereconf après une mise à jour de slapd

05/03/2010 09:56 - Daniel Dehennin

Statut: Ne sera pas résolu Début: 05/03/2010

Priorité: Normal Echéance:  

Assigné à:  % réalisé: 100%

Catégorie:  Temps estimé: 0.00 heure

Version cible:  Temps passé: 0.00 heure

Distribution:    

Description

Lorsqu'une mise à jour de slapd est effectuée, le fichier de configuration est écrasé et le service redémarré par le processus

apt/dpkg.

Un script prereconf ne peut, dans ce cas, utiliser l'annuaire LDAP, le script /usr/share/eole/horus.sh étant appelé trop tard par rapport

aux scripts prereconf.

Révisions associées

Révision cd15818e - 08/11/2005 04:17 - exarkun 

Merge already-registered-267-2

Author: exarkun

Reviewer: moe, amir

Fixes #267, #311

Refs #104

Email validation regexp has been removed (along with associated tests).

The signup page is now athena-based, its Javascript moved into a dedicated file.

The ticket link code has been factored out to a separate function, and the

CC_DEV environment variable re-instated (must be set at runtime not creation

time)

Athena has been worked over somewhat.

The JSON parser and serializer have been changed to quote object keys.

Various parts of ClickChronicle have been switched over to InstallableMixin.

Révision 1fd97671 - 25/07/2012 10:39 - unknown 

fixes #152 #144 #135 #132 #128 #125 #109 #104 #140 #138 #137 #131 #130 #129 #126 #120 #113 #108 #106 #107

Historique

#1 - 18/03/2010 11:02 - Joël Cuissinat

- Statut changé de Nouveau à En attente d'informations
<jojo2024> nebuchadnezzar : pour moi http://dev-eole.ac-dijon.fr/issues/104 n'a pas de solution !

<jojo2024> les opérations doivent être faites dans l'ordre : templatisation -> gestion du mot de passe

<jojo2024> tu peux vraiment pas faire du postreconf ?

#2 - 19/03/2010 10:43 - Daniel Dehennin

Ok, donc l'instanciation des fichiers template ne peut pas se faire dans un répertoire dont le nom est configurable:

- instanciation: fichiers dans /tmp/

- postreconf:

- création du partage

- déplacement des fichiers depuis /tmp

#3 - 19/03/2010 15:48 - Joël Cuissinat

- Statut changé de En attente d'informations à Ne sera pas résolu

- % réalisé changé de 0 à 100

vu avec Daniel
